Name:    tig
Version: 2.5.8
Release: 1
Summary: Tig is a ncurses-based text-mode interface for git and it functions mainly as a Git repository browser
License: GPL-2.0-or-later
URL: https://github.com/jonas/tig
Source0: https://github.com/jonas/tig/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ncurses-devel asciidoc git-core xmlto gcc make bash-completion

Requires:  git-core

%description
Tig is a ncurses-based text-mode interface for git and it functions mainly as a Git repository browser.

%prep
%setup -q

%build
%configure
%make_build all doc-man doc-html
sed -i -e 's/\r//' *.html
sed -i '/^#!bash/,+1 d' contrib/%{name}-completion.bash

%install
%make_install install-doc-man
install -Dpm 644 contrib/%{name}-completion.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%files
%license COPYING
%doc COPYING NEWS.adoc README.adoc *.html
%{_bindir}/tig
%{_datadir}/bash-completion/completions
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7*

%changelog
* Sat Sep 16 2023 liyanan <thistleslyn@163.com> - 2.5.8-1
- Update to 2.5.8

* Wed Mar 31 2021 StrongTiger_001 <StrongTiger_001@isrc.iscas.ac.cn> - 2.5.1-2
- Fix the grammar mistake for the tool description.

* Wed Dec 28 2020 StrongTiger_001 <StrongTiger_001@isrc.iscas.ac.cn> - 2.5.1-1
- Supplement the BuildRequires.

* Sat Oct 03 2020 StrongTiger_001 <StrongTiger_001@isrc.iscas.ac.cn> - 2.5.1-0
- Add Package init and port tig to aarch64.

